EX_STR(3)

FUNCTION
ex_str - Extract sub-string from string.

SYNOPSIS
#include <karma_ex.h>

char * ex_str

(CONST char *str, CONST char **rest)

DESCRIPTION
This routine will extract a sub-string from a string. The sub-string may be delimited by any number of whitespace characters. The double quote character may appear anywhere in the sub-string, and will force all whitespace characters except ' into the output string. A second double quote character unquotes the previous quote. These double quote characters are not copied, unless they are consecutive. If the string contains only two double quote characters, an empty string (i.e. only a

str The string to extract from.

rest
    A pointer beyond the value will be written here. If this is NULL, nothing is written here.

RETURN VALUE
A pointer to a copy of the sub-string.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/